# tinker.types.GetCurrentCheckpointStorageUsageRequest *Generated from tinker 0.34.0 at commit [`64eef5e`](https://github.com/thinking-machines-lab/tinker/tree/64eef5e00c4dc4f55ef6521e14defde58c891c52). Source links point at that snapshot.* ## *class* [**tinker.types.GetCurrentCheckpointStorageUsageRequest**](https://github.com/thinking-machines-lab/tinker/blob/64eef5e00c4dc4f55ef6521e14defde58c891c52/src/tinker/types/current_checkpoint_storage_usage_request.py#L6)(*[StrictBase](https://github.com/thinking-machines-lab/tinker/blob/64eef5e00c4dc4f55ef6521e14defde58c891c52/src/tinker/_models.py#L76)*) HTTP query parameters sent by the SDK and CLI to the API server. Used by GET /api/v1/billing/usage/checkpoints/current; no JSON request body. With no parameters, returns checkpoint storage usage for the entire authenticated organization. **Fields:** - [**project_id**](https://github.com/thinking-machines-lab/tinker/blob/64eef5e00c4dc4f55ef6521e14defde58c891c52/src/tinker/types/current_checkpoint_storage_usage_request.py#L14) (*str | None*) – Only return checkpoints attributed to this project; omit for the entire org